> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message Statistics

> Obtém estatísticas de mensagens de uma instância (enviadas, recebidas, por tipo, etc.).



## OpenAPI

````yaml openapi-v2 GET /statistics/messages/{instanceId}
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /statistics/messages/{instanceId}:
    get:
      tags:
        - Statistics Controller
      summary: Get message statistics
      description: >-
        Obtém estatísticas de mensagens de uma instância (enviadas, recebidas,
        por tipo, etc.).
      operationId: getMessageStatistics
      parameters:
        - name: instanceId
          in: path
          required: true
          description: ID da instância
          schema:
            type: string
      responses:
        '200':
          description: Estatísticas de mensagens
          content:
            application/json:
              schema:
                type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````